Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface InterfaceWithoutProvidersDefined

All Superinterfaces:
  `InterfaceBase`

@Path("/") @Produces("text/plain") @Consumes("text/plain") @RegisterRestClient public interface InterfaceWithoutProvidersDefined extends InterfaceBase

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`executePost(String body)`
`jakarta.ws.rs.core.Response`
`executePut(Widget id, String body)`

## Method Details

### executePost

@POST jakarta.ws.rs.core.Response executePost(String body)

Specified by:
  `executePost` in interface `InterfaceBase`

### executePut

@PUT @Path("/{id}") jakarta.ws.rs.core.Response executePut(@PathParam("id") Widget id, String body)

Specified by:
  `executePut` in interface `InterfaceBase`